geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick McGuire <rick...@gmail.com>
Subject Re: Geronimo 2.1 dependencies on SNAPSHOTs
Date Mon, 26 Nov 2007 16:52:49 GMT
The javamail version can be made into a release.  It has a dependency on 
the latest spec version, so we'd need to release that one too.

For yoko, I suspect we'll just need to do what we did for 2.0 and have a 
known version in the Geronimo repository.

Rick

Joe Bohn wrote:
> I was just looking in the root pom.  It seems there are a number of 
> snapshot dependencies that we would need to eliminate prior to a 2.1 
> release (or make private builds).  I'll start working my way through 
> those that have released.  We'll need to start pushing for some 
> releases of those that are not yet available ... and of course some 
> are our own specs.
>
> OpenEJB                    3.0.0-SNAPSHOT
> Pluto                      1.2.0-SNAPSHOT
> geronimo-jaspi_1.0_spec    1.0-SNAPSHOT
> geronimo-javamail_1.4_mail 1.3-SNAPSHOT
> commons-dbcp               1.3-SNAPSHOT
> yoko                       1.0-incubating-SNAPSHOT
> myfaces                    1.2.1-SNAPSHOT
> gshell                     1.0-alpha-1-SNAPSHOT
> jspc_compiler_tomcat6      2.0-SNAPSHOT
>
>
> Are there other components that we should upgrade as well?  BTW, I 
> just upgraded our dep on OpenJPA 1.0.0 to 1.0.1 after verifying that 
> it didn't create any TCK issues.
>
> Joe
>


Mime
View raw message